<?php
include("postget.php");
include_once("common.php");
checklevel(2,$_REQUEST['clientid']);

if (strlen($_POST['palabra'])<3) {
	messagetop(lang('_SEARCH_STRING_TOO_SHORT'),'','main.php',0);
}

if ($_POST['palabra']) {		

		include("head_template.php");
		echo '
<div class="container">
	<div class="row">


<table width="98%" class="table table-bordered">
		<tr>
		<td align="center" width="100%">
';
		print(lang('_RESULTS_FOR').' '.$_POST[palabra]);
	echo '
		</td>
		</tr>
';		
echo '
			<tr valign="top">
				<td>

';

		
		print("</td></tr><tr><td>");
		
		
		
		$cad="SHOW TABLES";
		$que=mysql_query($cad);
		
		$i=0;
		// para que clients sea la primera
		$tabla[] = 'hd_clients';
		while($fila=mysql_fetch_array($que)){
			if ($fila[0] <> 'hd_clients') {
				$tabla[] = $fila[0];
			}
			$i++;
		}

		$colnomostrar = array('date','time','step','start','end','period','password','lastrenew','renewdate','billed','lastpay','reminder_auto','reminder_manual','parentpack','deny_suspension','ip1','ip2','ip3','ipdate1','ipdate2','ipdate3','lost','paidinstep3','datepay','status','country','state','datepay','modified','preflang','what','personalized_1','personalized_2','personalized_3','personalized_4','personalized_5','depid','lastreply','followup','body','ticketid','parent','internalnote');
			
		//Abro una a una las tablas y miro entre sus columnas buscando el valor pasado:
		foreach($tabla AS $indice => $valor){
	
				$cad="SHOW COLUMNS FROM ".$db__name.".".$valor;
				$que=mysql_query($cad) or exit($cad);
		
				$cad_or="SELECT * FROM ".$valor." WHERE ";
				$nombre_columna=Array();
		
				//Monto una cadena SQL con ORs por cada columna hallada en la tabla: WHERE columna1 LIKE "%%" OR columna2 LIKE "%%"...
				$tieneclientid = 0;
				while($fila=mysql_fetch_array($que)){
						if ($fila[0]=='clientid') {
							$tieneclientid = 1;
						}
						
						if ($fila[0]=='reminderid') {
							$tieneclientid = 0; break;
						}
						
						//Genero array de nombres de columna:
						$nombre_columna[]=$fila[0];
						//empalmo cadena de SQL
						$cad_or.=" ".$fila[0]." LIKE '%".$_POST['palabra']."%' OR ";
				}
		
				//Pinto una cabecera:
				if ($tieneclientid == 1) {
						$texto = '';
						$texto .= '<br><table width="100%"><tr><td colspan="'.count($nombre_columna).'">';
						
						if($valor=='hd_clients') {
							$nombretabla = strtolower(_CLIENTS);
						}elseif($valor=='hd_clients_history') {
							$nombretabla = strtolower(_CLIENTS)." (".strtolower(_CHANGES_HISTORY).")";
						}elseif($valor=='hd_history') {
							$nombretabla = strtolower(_LOGS);
						}elseif($valor=='hd_tickets') {
							$nombretabla = strtolower(_TICKETS);
						}elseif($valor=='hd_tickets_replies') {
							$nombretabla = strtolower(_TICKETS)." (".strtolower(_ANSWERS).")";
						}
							
						$texto .= '<h2>'.lang('_IN').' '.$nombretabla.':</h2>';
						$texto .= '</td></tr>';
				
						//Pinto los nombres de las columnas con el array generado antes:
						$texto .= '<tr>';
			
						for($j=0;$j < count($nombre_columna);$j++){
								if (!in_array($nombre_columna[$j],$colnomostrar)) {
										$texto .= '<th>'.$nombre_columna[$j]."</th>";
										//$texto .= '<th>'.stringtranslated($nombre_columna[$j])."</th>";
								}
						}
				
						$texto .= "</tr>";
			
						//Ajusto la cadena SQL creada, limpiando el último OR que sobra:
						$cad_or=substr($cad_or, 0,-3);
				
						//Consulto
						$quet=mysql_query($cad_or);
			
						//Resultados de busqueda en todas las columnas de esta tabla.
						$textofila = '';
						
						if(mysql_num_rows($quet)>0){
								while($filat=mysql_fetch_array($quet)){
										$textofila .= '<tr>';
										$filas ++;
										for($ind=0;$ind<count($filat)/2;$ind++){
												if (!in_array($nombre_columna[$ind],$colnomostrar)) {
														// Pinto contenido del registro resaltando en color la palabra buscada:
														if ($nombre_columna[$ind]=='clientid' AND $filat[$ind]<>'0') {
																$textofila .= "<td align='center' bgcolor='#00CC33'><a href='".$serverurl."/tickets.php?clientid=$filat[$ind]'><strong>".remarcar($filat[$ind])."</strong></a></td>";
														}else{
																$textofila .= '<td>'.remarcar($filat[$ind])."</td>";
														}
												}
										}	
										$textofila .= '</tr>';
								}
								//test('textofila',$textofila);
						}
						if ($textofila) {
								print($texto.$textofila);
								print('</table>');
						}
				}
	
		}
	echo '
		</td>
		</tr>
		</table>
</div>
</div>
';
		include("foot_template.php");
}




function remarcar($cadena,$strip=TRUE){

		if($strip==TRUE) $cadena=strip_tags($cadena);

		$palabra=strtolower($_POST['palabra']);
		$cadena=str_replace ( $palabra, '<span style="color: red;">'.$palabra."</span>", $cadena);

		$palabra=ucfirst($palabra);
		$cadena=str_replace ( $palabra, '<span style="color: red;">'.$palabra."</span>", $cadena);

		$palabra=strtoupper($palabra);
		$cadena=str_replace ( $palabra, '<span style="color: red;">'.$palabra."</span>", $cadena);

		return $cadena;
		
}


?>